=== debian/changelog ===
gimagereader (3.3.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:15:03 +0100

gimagereader (3.3.1-1) unstable; urgency=medium

  * New upstream version (closes: #947591)
  * Add debian/patches/04_fix-crash-missing-lang.patch:
    - Fix crash when $LANG is not set (closes: #930642)
  * Bump Standards-Version to 4.4.1 (no changes necessary)
  * Bump debhelper compat version to 12 (no changes necessary)

 -- Philip Rinn <rinni@inventati.org>  Sat, 28 Dec 2019 12:03:29 +0100
