## gimagereader 3.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
+IF(${CMAKE_VERSION} VERSION_GREATER "3.17.0")
+CMAKE_POLICY(SET CMP0100 NEW)
+ENDIF()
 LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 INCLUDE(GSettings)
 SET(ENV{LC_ALL} "C")
@@ -7,12 +10,12 @@
 # Project properties
 PROJECT(gimagereader)
 SET(PACKAGE_NAME gImageReader)
-SET(PACKAGE_VERSION 3.3.1)
+SET(PACKAGE_VERSION 3.4.0)
 SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 
 
 # Variables
-SET(INTERFACE_TYPE "qt5" CACHE STRING "Select interface type: qt4/qt5/gtk")
+SET(INTERFACE_TYPE "qt5" CACHE STRING "Select interface type: qt5/qt6/gtk")
 MESSAGE(STATUS "${INTERFACE_TYPE} interface will be built")
 SET(MANUAL_DIR "share/doc/gimagereader" CACHE PATH "Path where manual will be installed")
 SET(ENABLE_VERSIONCHECK 1 CACHE BOOL "Enable version check")
@@ -45,7 +48,7 @@
 ADD_DEFINITIONS(-DGETTEXT_PACKAGE=\"${CMAKE_PROJECT_NAME}\")
 ADD_DEFINITIONS(-DENABLE_VERSIONCHECK=${ENABLE_VERSIONCHECK})
 ADD_DEFINITIONS(-DMANUAL_DIR=\"${MANUAL_DIR}\")
-SET(CMAKE_CXX_STANDARD 11)
+SET(CMAKE_CXX_STANDARD 14)
 SET(CXX_STANDARD_REQUIRED ON)
 
 
@@ -78,7 +81,7 @@
     ADD_DEFINITIONS(-DHAVE_ENCHANT2)
 ELSE(ENCHANT_FOUND)
     PKG_CHECK_MODULES(ENCHANT REQUIRED enchant)
-    IF(ENCHANT_VERSION VERSION_GREATER_EQUAL 2)
+    IF(${ENCHANT_VERSION} VERSION_GREATER_EQUAL 2)
         ADD_DEFINITIONS(-DHAVE_ENCHANT2)
     ENDIF()
 ENDIF(ENCHANT_FOUND)
@@ -94,7 +97,10 @@
 
 IF("${INTERFACE_TYPE}" STREQUAL "gtk")
     PKG_CHECK_MODULES(GTKMM REQUIRED gtkmm-3.0)
-    PKG_CHECK_MODULES(GTKSOURCEVIEWMM REQUIRED gtksourceviewmm-3.0)
+    PKG_CHECK_MODULES(GTKSOURCEVIEWMM gtksourceviewmm-4.0)
+    IF(NOT GTKSOURCEVIEWMM_FOUND)
+      PKG_CHECK_MODULES(GTKSOURCEVIEWMM REQUIRED gtksourceviewmm-3.0)
+    ENDIF(NOT GTKSOURCEVIEWMM_FOUND)
     PKG_CHECK_MODULES(GTKSPELLMM REQUIRED gtkspellmm-3.0>=3.0.5)
     PKG_CHECK_MODULES(CAIROMM REQUIRED cairomm-1.0)
     PKG_CHECK_MODULES(PANGOMM REQUIRED pangomm-1.4)
@@ -122,7 +128,6 @@
         ENDIF()
     ENDIF()
     PKG_CHECK_MODULES(FONTCONFIG REQUIRED fontconfig)
-    PKG_CHECK_MODULES(UUID REQUIRED uuid)
     INCLUDE_DIRECTORIES(
         ${GTKMM_INCLUDE_DIRS}
         ${GTKSOURCEVIEWMM_INCLUDE_DIRS}
@@ -135,7 +140,6 @@
         ${LIBJPEG_INCLUDE_DIRS}
         ${FONTCONFIG_INCLUDE_DIRS}
         ${LIBZIP_INCLUDE_DIRS}
-        ${UUID_INCLUDE_DIRS}
     )
     SET(gimagereader_LIBS
         ${GTKMM_LDFLAGS}
@@ -149,44 +153,35 @@
         ${LIBJPEG_LDFLAGS}
         ${FONTCONFIG_LDFLAGS}
         ${LIBZIP_LDFLAGS}
-        ${UUID_LDFLAGS}
     )
     SET(srcdir "gtk")
-ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt4")
+ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5" OR "${INTERFACE_TYPE}" STREQUAL "qt6")
+    STRING(REGEX REPLACE "^qt" "" QT_VER "${INTERFACE_TYPE}")
+
     SET(CMAKE_AUTOMOC ON)
-    FIND_PACKAGE(Qt4 REQUIRED)
-    FIND_PACKAGE(QuaZip)
-    IF(NOT QUAZIP_FOUND)
-        FIND_PATH(QUAZIP_INCLUDE_DIR NAME quazipfile.h PATH_SUFFIXES quazip)
-        FIND_LIBRARY(QUAZIP_LIBRARIES quazip)
-        IF(NOT QUAZIP_INCLUDE_DIR OR NOT QUAZIP_LIBRARIES)
-            MESSAGE(FATAL_ERROR "QuaZip is required but was not found")
+    FIND_PACKAGE(Qt${QT_VER}Concurrent REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}DBus REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}Network REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}Widgets REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}Xml REQUIRED)
+    FIND_PACKAGE(Qt${QT_VER}PrintSupport REQUIRED)
+    FIND_PACKAGE(QuaZip-Qt${QT_VER} QUIET)
+    IF(QuaZip-Qt${QT_VER}_FOUND)
+      SET(QUAZIP_LIBRARIES QuaZip::QuaZip)
+    ELSE()
+        FIND_PACKAGE(QuaZip5 QUIET)
+        IF(NOT QUAZIP_FOUND)
+            FIND_PATH(QUAZIP_INCLUDE_DIR NAME quazipfile.h PATH_SUFFIXES quazip${QT_VER} QuaZip-Qt${QT_VER}-1.0/quazip QuaZip-Qt${QT_VER}-1.1/quazip QuaZip-Qt${QT_VER}-1.2/quazip)
+            FIND_LIBRARY(QUAZIP_LIBRARIES NAMES quazip${QT_VER} quazip1-qt${QT_VER})
+            IF(NOT QUAZIP_INCLUDE_DIR OR NOT QUAZIP_LIBRARIES)
+                MESSAGE(FATAL_ERROR "QuaZip${QT_VER} is required but was not found")
+            ENDIF()
         ENDIF()
+        INCLUDE_DIRECTORIES(${QUAZIP_INCLUDE_DIR})
     ENDIF()
-    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt4>=0.8.0)
-    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt4)
-    PKG_CHECK_MODULES(QJSON REQUIRED QJson)
-    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS} ${QJSON_INCLUDE_DIRS} ${QUAZIP_INCLUDE_DIR})
-    SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS} ${QJSON_LDFLAGS} ${QUAZIP_LIBRARIES})
-    SET(srcdir "qt")
-ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5")
-    SET(CMAKE_AUTOMOC ON)
-    FIND_PACKAGE(Qt5DBus REQUIRED)
-    FIND_PACKAGE(Qt5Network REQUIRED)
-    FIND_PACKAGE(Qt5Widgets REQUIRED)
-    FIND_PACKAGE(Qt5Xml REQUIRED)
-    FIND_PACKAGE(Qt5PrintSupport REQUIRED)
-    FIND_PACKAGE(QuaZip5)
-    IF(NOT QUAZIP_FOUND)
-        FIND_PATH(QUAZIP_INCLUDE_DIR NAME quazipfile.h PATH_SUFFIXES quazip5)
-        FIND_LIBRARY(QUAZIP_LIBRARIES quazip5)
-        IF(NOT QUAZIP_INCLUDE_DIR OR NOT QUAZIP_LIBRARIES)
-            MESSAGE(FATAL_ERROR "QuaZip5 is required but was not found")
-        ENDIF()
-    ENDIF()
-    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt5>=0.8.0)
-    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt5)
-    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS} ${QUAZIP_INCLUDE_DIR})
+    PKG_CHECK_MODULES(QTSPELL REQUIRED QtSpell-qt${QT_VER}>=0.8.0)
+    PKG_CHECK_MODULES(POPPLER REQUIRED poppler-qt${QT_VER})
+    INCLUDE_DIRECTORIES(${QTSPELL_INCLUDE_DIRS} ${POPPLER_INCLUDE_DIRS})
     SET(gimagereader_LIBS ${QTSPELL_LDFLAGS} ${POPPLER_LDFLAGS} ${QUAZIP_LIBRARIES})
     SET(srcdir "qt")
 ELSE()
@@ -264,13 +259,8 @@
     ENDFOREACH()
 
 ELSEIF("${srcdir}" STREQUAL "qt")
-    IF("${INTERFACE_TYPE}" STREQUAL "qt4")
-        QT4_ADD_RESOURCES(gimagereader_RESOURCES_RCC ${gimagereader_RESOURCES})
-        SET(UIC_EXECUTABLE ${QT_UIC_EXECUTABLE})
-    ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5")
-        QT5_ADD_RESOURCES(gimagereader_RESOURCES_RCC ${gimagereader_RESOURCES})
-        SET(UIC_EXECUTABLE Qt5::uic)
-    ENDIF()
+    QT_ADD_RESOURCES(gimagereader_RESOURCES_RCC ${gimagereader_RESOURCES})
+    SET(UIC_EXECUTABLE Qt${QT_VER}::uic)
 
     # Custom WRAP_UI which also gettext-izes the result
     MESSAGE(${CMAKE_COMMAND})
@@ -305,3 +295,10 @@
 ADD_CUSTOM_COMMAND(
     OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
     COMMAND ${INTLTOOL_MERGE_EXECUTABLE} --desktop-style ${CMAKE_SOURCE_DIR}/po ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
+    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in)
+ADD_CUSTOM_TARGET(desktop_file ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop)
+
+IF(MINGW)
+  ENABLE_LANGUAGE(RC)
+  SET(CMAKE_RC_COMPILER_INIT ${CMAKE_GENERATOR_RC})
+  SET(CMAKE_RC_COMPILE_OBJECT "<CMAKE_RC_COMPILER> -O coff -i <SOURCE> -o <OBJECT>")
