=== debian/changelog ===
gimagereader (3.4.0-2) unstable; urgency=medium

  * Source-only upload to make migration to testing possible

 -- Philip Rinn <rinni@inventati.org>  Wed, 09 Feb 2022 21:12:18 +0100

gimagereader (3.4.0-1) unstable; urgency=medium

  [ Philip Rinn ]
  * New upstream version
  * Bump Standards-Version to 4.6.0.1 (no changes necessary)
  * Bump debhelper compat version to 13 (no changes necessary)
  * Drop all patches

  [ Alexander Volkov ]
  * Add packaging for the Qt 5 frontend (closes: #891414)

 -- Philip Rinn <rinni@inventati.org>  Wed, 02 Feb 2022 19:23:27 +0100
