=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Philip Rinn <rinni@inventati.org>
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  intltool (>= 0.35.0),
  libcairomm-1.0-dev,
  libdjvulibre-dev,
+ libenchant-2-dev,
  libgtkmm-3.0-dev,
  libgtksourceviewmm-3.0-dev,
  libgtkspellmm-3.0-dev (>= 3.0.4),
@@ -16,24 +17,30 @@
  libpangomm-1.4-dev,
  libpodofo-dev,
  libpoppler-glib-dev,
+ libpoppler-qt5-dev,
+ libqtspell-qt5-dev,
+ libquazip5-dev,
  libsane-dev,
  libtesseract-dev,
  libxml++2.6-dev,
  libzip-dev,
  python3-gi,
+ qtbase5-dev,
  uuid-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader
+Rules-Requires-Root: no
 
 Package: gimagereader
 Architecture: any
 Depends:
+ gimagereader-common (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Graphical GTK+ front-end to tesseract-ocr
- gImageReader is a simple GTK+ front-end to tesseract-ocr. Tesseract is probably
+ gImageReader is a simple front-end to tesseract-ocr. Tesseract is probably
  the most accurate open source optical character recognition (OCR) software and
  can recognize text in over 60 languages.
  .
@@ -44,3 +51,51 @@
  next to the image and basic text editing including search/replace and removing
  of line breaks is possible. Spellchecking for the output text is also supported
  if the corresponding dictionaries are installed.
+ .
+ This package contains the GTK+ variant of gImageReader.
+
+Package: gimagereader-qt5
+Architecture: any
+Depends:
+ gimagereader-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Graphical Qt 5 front-end to tesseract-ocr
+ gImageReader is a simple front-end to tesseract-ocr. Tesseract is probably
+ the most accurate open source optical character recognition (OCR) software and
+ can recognize text in over 60 languages.
+ .
+ gImageReader supports automatic page layout detection but the user can also
+ manually define and adjust the recognition regions. It is possible to import
+ images from disk, scanning devices, clipboard and screenshots. gImageReader
+ also supports multipage PDF documents. Recognized text is displayed directly
+ next to the image and basic text editing including search/replace and removing
+ of line breaks is possible. Spellchecking for the output text is also supported
+ if the corresponding dictionaries are installed.
+ .
+ This package contains the Qt 5 variant of gImageReader.
+
+Package: gimagereader-common
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Replaces:
+ gimagereader (<< 3.3.1-2),
+Breaks:
+ gimagereader (<< 3.3.1-2),
+Description: gImageReader common files
+ gImageReader is a simple front-end to tesseract-ocr. Tesseract is probably
+ the most accurate open source optical character recognition (OCR) software and
+ can recognize text in over 60 languages.
+ .
+ gImageReader supports automatic page layout detection but the user can also
+ manually define and adjust the recognition regions. It is possible to import
+ images from disk, scanning devices, clipboard and screenshots. gImageReader
+ also supports multipage PDF documents. Recognized text is displayed directly
+ next to the image and basic text editing including search/replace and removing
+ of line breaks is possible. Spellchecking for the output text is also supported
+ if the corresponding dictionaries are installed.
+ .
+ This package contains common files for the GTK+ and Qt 5 variants of
+ gImageReader.
