=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gimagereader-$1\.tar\.gz/ \
  https://github.com/manisandro/gImageReader/releases .*/v?(\d\S*)\.tar\.gz
