## gimagereader 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Project properties
 PROJECT(gimagereader)
 SET(PACKAGE_NAME gImageReader)
-SET(PACKAGE_VERSION 3.4.0)
+SET(PACKAGE_VERSION 3.4.1)
 SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
