=== debian/changelog ===
gimagereader (3.4.1-1) unstable; urgency=medium

  * New upstream version:
    - Drop all patches

 -- Philip Rinn <rinni@debian.org>  Fri, 03 Feb 2023 19:51:56 +0100

gimagereader (3.4.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes necessary)
  * Cherry-pick two patches from upstream to fix issues with Wayland
  * Update d/watch file to cope with changed github.com API

 -- Philip Rinn <rinni@debian.org>  Mon, 19 Dec 2022 17:25:48 +0100
