=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gimagereader
 Section: graphics
 Priority: optional
-Maintainer: Philip Rinn <rinni@inventati.org>
+Maintainer: Philip Rinn <rinni@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -27,7 +27,7 @@
  python3-gi,
  qtbase5-dev,
  uuid-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader
