=== debian/changelog ===
gimagereader (3.4.2-7) unstable; urgency=medium

  * Build Qt variant on loong64 as well (Closes: #1095280)
  * Make sure the Qt variant is only build on supported architecures

 -- Philip Rinn <rinni@debian.org>  Fri, 07 Feb 2025 19:05:45 +0100

gimagereader (3.4.2-6) unstable; urgency=medium

  * Drop Qt6 variant of gimagereader on i386 as poppler
    dropped Qt6 support on i386.

 -- Philip Rinn <rinni@debian.org>  Mon, 20 Jan 2025 19:07:04 +0100

gimagereader (3.4.2-5) unstable; urgency=medium

  * Release to unstable

 -- Philip Rinn <rinni@debian.org>  Mon, 20 Jan 2025 17:05:07 +0100

gimagereader (3.4.2-4) experimental; urgency=medium

  * Migrate Qt variant to Qt6

 -- Philip Rinn <rinni@debian.org>  Mon, 06 Jan 2025 19:13:29 +0100

gimagereader (3.4.2-3) unstable; urgency=medium

  * Fix build with recent enchant-2 (closes: #1091007)
  * Bump Standards-Version to 4.7.0 (no changes necessary)

 -- Philip Rinn <rinni@debian.org>  Sun, 22 Dec 2024 11:15:51 +0100

gimagereader (3.4.2-2) unstable; urgency=medium

  * Make build reproducible

 -- Philip Rinn <rinni@debian.org>  Sun, 18 Feb 2024 19:24:13 +0100

gimagereader (3.4.2-1) unstable; urgency=medium

  * New upstream version

 -- Philip Rinn <rinni@debian.org>  Sun, 11 Feb 2024 22:38:58 +0100
