=== debian/control ===
--- 
+++ 
@@ -17,17 +17,17 @@
  libpangomm-1.4-dev,
  libpodofo-dev,
  libpoppler-glib-dev,
- libpoppler-qt5-dev,
- libqtspell-qt5-dev,
- libquazip5-dev,
+ libpoppler-qt6-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
+ libqtspell-qt6-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
+ libquazip1-qt6-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
  libsane-dev,
  libtesseract-dev,
  libxml++2.6-dev,
  libzip-dev,
  python3-gi,
- qtbase5-dev,
+ qt6-base-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader
@@ -54,13 +54,15 @@
  .
  This package contains the GTK+ variant of gImageReader.
 
-Package: gimagereader-qt5
-Architecture: any
+Package: gimagereader-qt
+Architecture: amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64
 Depends:
  gimagereader-common (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Description: Graphical Qt 5 front-end to tesseract-ocr
+Replaces: gimagereader-qt5 (<< 3.4.2-4~)
+Breaks: gimagereader-qt5 (<< 3.4.2-4~)
+Description: Graphical Qt front-end to tesseract-ocr
  gImageReader is a simple front-end to tesseract-ocr. Tesseract is probably
  the most accurate open source optical character recognition (OCR) software and
  can recognize text in over 60 languages.
@@ -73,7 +75,15 @@
  of line breaks is possible. Spellchecking for the output text is also supported
  if the corresponding dictionaries are installed.
  .
- This package contains the Qt 5 variant of gImageReader.
+ This package contains the Qt variant of gImageReader.
+
+Package: gimagereader-qt5
+Architecture: any
+Section: oldlibs
+Depends: gimagereader-qt [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
+ ${misc:Depends}
+Description: transitional package
+ This is a transitional package. It can safely be removed.
 
 Package: gimagereader-common
 Architecture: all
@@ -97,5 +107,5 @@
  of line breaks is possible. Spellchecking for the output text is also supported
  if the corresponding dictionaries are installed.
  .
- This package contains common files for the GTK+ and Qt 5 variants of
+ This package contains common files for the GTK+ and Qt variants of
  gImageReader.
