## gimagereader 3.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.7)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.10)
 IF(${CMAKE_VERSION} VERSION_GREATER "3.17.0")
 CMAKE_POLICY(SET CMP0100 NEW)
 ENDIF()
@@ -8,19 +8,19 @@
 
 
 # Project properties
-PROJECT(gimagereader)
+PROJECT(gimagereader C CXX)
 SET(PACKAGE_NAME gImageReader)
-SET(PACKAGE_VERSION 3.4.2)
+SET(PACKAGE_VERSION 3.4.3)
 SET(PACKAGE_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
 
 
 # Variables
-SET(INTERFACE_TYPE "qt5" CACHE STRING "Select interface type: qt5/qt6/gtk")
+SET(INTERFACE_TYPE "qt6" CACHE STRING "Select interface type: qt5/qt6/gtk")
 MESSAGE(STATUS "${INTERFACE_TYPE} interface will be built")
 SET(MANUAL_DIR "share/doc/gimagereader" CACHE PATH "Path where manual will be installed")
 SET(ENABLE_VERSIONCHECK 1 CACHE BOOL "Enable version check")
-EXECUTE_PROCESS(COMMAND date +%a\ %b\ %d\ %Y OUTPUT_VARIABLE PACKAGE_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
-EXECUTE_PROCESS(COMMAND date +%Y-%m-%d OUTPUT_VARIABLE PACKAGE_ISO_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
+string(TIMESTAMP PACKAGE_DATE "%a\ %b\ %d\ %Y" UTC)
+string(TIMESTAMP PACKAGE_ISO_DATE "%Y-%m-%d" UTC)
 EXECUTE_PROCESS(COMMAND date -R OUTPUT_VARIABLE PACKAGE_RFC_DATE OUTPUT_STRIP_TRAILING_WHITESPACE)
 EXECUTE_PROCESS(COMMAND git rev-parse HEAD OUTPUT_VARIABLE PACKAGE_REVISION OUTPUT_STRIP_TRAILING_WHITESPACE)
 
@@ -156,11 +156,21 @@
         ${LIBZIP_LDFLAGS}
     )
     SET(srcdir "gtk")
+    # Fix symbol collision
+    IF(MINGW)
+        ADD_DEFINITIONS(-DNODRAWTEXT)
+    ENDIF(MINGW)
 ELSEIF("${INTERFACE_TYPE}" STREQUAL "qt5" OR "${INTERFACE_TYPE}" STREQUAL "qt6")
     STRING(REGEX REPLACE "^qt" "" QT_VER "${INTERFACE_TYPE}")
 
     SET(CMAKE_AUTOMOC ON)
     FIND_PACKAGE(Qt${QT_VER}Concurrent REQUIRED)
+    IF(${QT_VER} STREQUAL "5")
+        IF(Qt5Concurrent_VERSION VERSION_LESS 5.15)
+	    MESSAGE(FATAL_ERROR "Qt5 version must be at least 5.15 (found ${Qt5Concurrent_VERSION})")
+	ENDIF()
+    ENDIF()
+
     FIND_PACKAGE(Qt${QT_VER}DBus REQUIRED)
     FIND_PACKAGE(Qt${QT_VER}Network REQUIRED)
     FIND_PACKAGE(Qt${QT_VER}Widgets REQUIRED)
@@ -297,8 +307,3 @@
     OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
     COMMAND ${INTLTOOL_MERGE_EXECUTABLE} --desktop-style ${CMAKE_SOURCE_DIR}/po ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop
     DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop.in)
-ADD_CUSTOM_TARGET(desktop_file ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/data/gimagereader-${INTERFACE_TYPE}.desktop)
-
-IF(MINGW)
-  ENABLE_LANGUAGE(RC)
-  SET(CMAKE_RC_COMPILER_INIT ${CMAKE_GENERATOR_RC})
