=== debian/changelog ===
gimagereader (3.4.3-2) unstable; urgency=medium

  * Add patch to build against libxml++-5.0-dev (closes: #1121315)
     Thanks to Sébastien Noel for the patch.
  * Bump Standards-Version to 4.7.3 (no changes necessary)
  * Update d/watch to version 5

 -- Philip Rinn <rinni@debian.org>  Tue, 17 Feb 2026 17:22:05 +0100

gimagereader (3.4.3-1) unstable; urgency=medium

  * New upstream version:
    - Drop all patches, they are applied upstream
    - Add patch to fix c-string conversion in Gtk build
  * Bump Standards-Version to 4.7.2 (no changes necessary)

 -- Philip Rinn <rinni@debian.org>  Mon, 11 Aug 2025 18:11:23 +0200
