=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gimagereader
 Section: graphics
-Priority: optional
 Maintainer: Philip Rinn <rinni@debian.org>
 Build-Depends:
  cmake,
@@ -22,16 +21,15 @@
  libquazip1-qt6-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
  libsane-dev,
  libtesseract-dev,
- libxml++2.6-dev,
+ libxml++-5.0-dev,
  libzip-dev,
  python3-gi,
  qt6-base-dev [amd64 arm64 armel armhf loong64 mips64el ppc64el riscv64 s390x alpha hppa hurd-any m68k powerpc ppc64 sh4 sparc64],
  uuid-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/manisandro/gImageReader
 Vcs-Git: https://salsa.debian.org/debian/gimagereader.git
 Vcs-Browser: https://salsa.debian.org/debian/gimagereader
-Rules-Requires-Root: no
 
 Package: gimagereader
 Architecture: any
