=== debian/watch ===
Version: 5
Template: Github
Owner: manisandro
Project: gImageReader
